
chapter("Appendix A", 0)
chapter("Numeric",1)
text("""The Numeric package is powerfull package for manipulating arrays. It can be used
to manipulate an array using arithmic operators like +,-,/ etc and functions like sin,cos,
tan etc.""")
code(""">>> import Numeric
>>> x = Numeric.arrayrange(10)
>>> y = x ** 2 + 10
>>> x
array([0, 1, 2, 3, 4, 5, 6, 7, 8, 9])
>>> y
array([10, 11, 14, 19, 26, 35, 46, 59, 74, 91])""")

chapter("Namespaces",1)
text("""
Python has a lot of packages, Kplot is also just a package. You can import it using 'import Kplot'
as you've seen above. This makes it very clear what package you are using because you
have to type &lt;packagename&gt;.&lt;name&gt;, but requires alot of typing.<br>
using 'from Kplot import *' imports everything from the Kplot package into your local
namespace(of your script or console). I will demonstrate this using the builtin <b>dir</b> function.<br>
""")
code("""
>>> import Kplot
>>> dir()
['Kplot', '__builtins__', '__doc__', '__name__']
>>> dir(Kplot)
['Arrow', 'Axis', 'Box', ' ... lotsa more ... 'Rectangle', 'Scatter',
'pgplot']
""")
text("""
You see that only the name 'Kplot' gets added to your local namespace, and everything must be called
like Kplot.Axis etc..<br>""")

code("""
>>> from Kplot import *
>>> dir()
['Arrow', 'Axis', 'Box', ' ... lotsa more ... 'Rectangle', 'Scatter',
'pgplot']
""")
text("""
You see that everything gets pulled into your local namespace, and you can just type
Vector(12, 15) instead of Kplot.Vector(12, 15). This has the drawback that when you import something
else with the same name 'Vector', it gets 'overwritten' and you can't access the Kplot.Vector anymore.
It also isn't clear what package you are using.
""")


