#!/usr/bin/env python2.2
import Kplot
import fitsio
import sys

if len(sys.argv) < 2:
	print "expected FITS file as argument"
	sys.exit(-1)

imagedata = fitsio.read_data(sys.argv[1])

image = Kplot.Image(imagedata)
wedge = Kplot.Wedge(image, "up")

dev = Kplot.createDevice()
panel = dev.createPanel()
panelleft, panelright = panel.split(0.1, "vertical", spacing=0)

panelright.setWorldImage(imagedata) # sets the world coordinates for the image
panelright.add(image)
panelleft.add(wedge)

dev.output()
dev.close()
