import types
import Kplot
import qt
from qt import *
from Numeric import *
from threading import Thread, Semaphore
from panel import Panel
import sys, traceback
from pdb import *
from qtdevice import QtDevice

"""def exec_loop():
	#print "exec loop"
	app.lock()
	#print "executing"
	app.exec_loop()
	#print "end thread"

app = qt.QApplication([])
app.connect(app, qt.SIGNAL('lastWindowClosed()'), app, qt.SLOT('quit()'))
app.unlock()

appthread = None
#appthread = Thread(target=exec_loop)
#appthread.start()

def ensureLoopThread():
	global appthread
	if appthread == None or not appthread.isAlive():
		#print "unlocking.."
		#print "unlocked"
		#global appthread
		appthread = Thread(target=exec_loop)
		appthread.start()
		app.wakeUpGuiThread()
	else:
		#print "using same thread"
		pass


class ActionEvent(QEvent):
	def __init__(self):
		QEvent.__init__(self, QEvent.None)

class FunctionEvent(ActionEvent):
	def __init__(self, function):
		ActionEvent.__init__(self)
		self.function = function

	def action(self):
		self.function()

class MessageQueue(QObject):
	def __init__(self):
		QObject.__init__(self)

	def event(self, event):
		#print "event", event, type(event)
		if isinstance(event, ActionEvent):
			print "action event"
			event.action()
		return 1
"""
from weakref import proxy, ref


class QtDeviceWindow(qt.QMainWindow):
	def __init__(self, parent, device):
		qt.QMainWindow.__init__(self, parent)
		#self.paintEventHandler = ref(paintEventHandler)
		#self.paintEventHandler = paintEventHandler
  		#print device
		#self.device = device
		pass

	def paintEvent(self, event):
		#device = self.device
		#print device
		#if device:
		#	device.paintEvent()
		#self.paintEventHandler()
		#if self.paintEventHandler() != None:
		#	self.paintEventHandler()()
		#else:
		#	print "no paint"
		#pass
		pass

app = None

class Device(Kplot.DeviceAbstract):
	def __init__(self, size=(400, 400), autoupdate=0, maxcolor=255):
		global app
		Kplot.DeviceAbstract.__init__(self)
		self.size = size
		self.autoupdate= autoupdate
		self.maxcolor = maxcolor
		print "blaaa"
		if app == None:
			app = qt.QApplication([])
			app.unlock()
			print "11"
		app.connect(app, qt.SIGNAL('lastWindowClosed()'), app, qt.SLOT('quit()'))
		#self.app.unlock()
		print "2"
		self.open()
		print "3"
		self.changeSize(size)

	def __del__(self):
		self.close()

	def changeSize(self, size, units=None):
		self.dev.changeSize(size, units)

	def getFillstyles(self):
		return self.dev.getFillstyles()

	def getLinestyles(self):
		return self.dev.getLinestyles()

	def getFonts(self):
		return self.dev.getFonts()


	def open(self):
		print "widget"
		self.widget = QtDeviceWindow(None, self.paintEvent)
		print "dev"
		self.dev = QtDevice(self.widget, size=self.size, autoupdate=self.autoupdate, maxcolor=self.maxcolor)
		print "show"
		self.widget.show()
		print "done"

	def paintEvent(self):
		self.dev.paintEvent()

	def close(self):
		print "close window"
		#set_trace()
		wl = [k for k in QApplication.topLevelWidgets() if k.isVisible() and not k.isDesktop()]
		print wl
		if wl:
			app.lock()
			app.exec_loop()
		print "closing..."
		self.widget.close()
		print "deleting dev"
		del self.dev
		#self.dev.close()


	def output(self):
		self.dev.output()

	def getDeviceMatrix(self):
		return self.dev.getDeviceMatrix()

	def getPanel(self, p1=(0.1,0.1), p2=(0.9, 0.9), parent=None):
		return self.dev.getPanel(p1=p1, p2=p2, parent=parent)


	def plotPolyline(self, x, y, linestyle, linewidth, color, units):
		self.dev.plotPolyline(x=x, y=y, linestyle=linestyle, linewidth=linewidth, color=color, units=units)


	def plotPolygon(self, x, y, fillstyle, linestyle, linewidth, color, units):
		self.dev.plotPolygon(x=x, y=y, fillstyle=fillstyle, linestyle=linestyle, linewidth=linewidth, color=color, units=units)

	def plotArc(self, p1, p2, fillstyle, linestyle, linewidth, color, startangle, anglelength, units):
		pass

	def plotText(self, text, location, font, fontsize, weight, color, bgcolor, textangle, valign, halign, units):
		self.dev.plotText(text=text, location=location, font=font, fontsize=fontsize, weight=weight,
			color=color, bgcolor=bgcolor, textangle=textangle, valign=valign, halign=halign, units=units)

	def plotImage(self, data, colormap, datamin, datamax, function, origin = (1,1)):
		self.dev.plotImage(data=data, colormap=colormap, datamin=datamin, datamax=datamax, function=function)

	def getDimension(self, units=None):
		return self.dev.getDimension(units)

	def setClipping(self, enabled):
		self.dev.setClipping(enabled)

	def getClipping(self):
		return self.dev.getClipping()

	def getTotalMatrix(self):
		return self.dev.getTotalMatrix()

	def pushViewportMatrix(self, matrix):
		self.dev.pushViewportMatrix(matrix)

	def popViewportMatrix(self):
		self.dev.popViewportMatrix()

	def pushWorldMatrix(self, matrix):
		self.dev.pushWorldMatrix(matrix)

	def getLastWorldMatrix(self):
		return self.dev.getLastWorldMatrix()

	def getLastViewportMatrix(self):
		return self.dev.getLastWorldMatrix()

	def popWorldMatrix(self):
		self.dev.popWorldMatrix()

	def getDeviceMatrix(self):
		return self.dev.getDeviceMatrix()

	def getWorldMatrix(self):
		return self.dev.getWorldMatrix()

	def getViewportMatrix(self):
		return self.dev.getViewportMatrix()

	def getUnitMatrix(self, units=None):
		return self.dev.getUnitMatrix(units)

	def setDefaultUnits(self, units):
		self.dev.setDefaultUnits(units)

